import request from '@/utils/request'

// 查询企业基础信息列表
export function listEnterpriseBasicInfo(query) {
  return request({
    url: '/system/enterpriseBasicInfo/list',
    method: 'get',
    params: query
  })
}

// 查询企业基础信息详细
export function getEnterpriseBasicInfo(id) {
  return request({
    url: '/system/enterpriseBasicInfo/' + id,
    method: 'get'
  })
}

// 新增企业基础信息
export function addEnterpriseBasicInfo(data) {
  return request({
    url: '/system/enterpriseBasicInfo',
    method: 'post',
    data: data
  })
}

// 修改企业基础信息
export function updateEnterpriseBasicInfo(data) {
  return request({
    url: '/system/enterpriseBasicInfo',
    method: 'put',
    data: data
  })
}

// 删除企业基础信息
export function delEnterpriseBasicInfo(id) {
  return request({
    url: '/system/enterpriseBasicInfo/' + id,
    method: 'delete'
  })
}
